import { defineStore } from 'pinia'
import { ref } from 'vue'

export interface ResearchType {
  display_name: string
  description?: string
  created_at: number
  modified_at: number
}

export const useResearchTypesStore = defineStore('research_types', () => {
  const types = ref<Record<string, ResearchType>>({})
  return { types }
})
